classification
Title: OPENSSL_VERSION_1_1 never defined in _hashopenssl.c
Type: compile error Stage: patch review
Components: Extension Modules Versions: Python 3.9, Python 3.8, Python 3.7, Python 2.7
process
Status: open Resolution:
Dependencies: Superseder:
Assigned To: Nosy List: christian.heimes, gregory.p.smith, laomaiweng, miss-islington
Priority: normal Keywords: patch

Created on 2018-06-22 02:50 by laomaiweng, last changed 2019-09-16 19:49 by miss-islington.

Pull Requests
URL Status Linked Edit
PR 7855 closed python-dev, 2018-06-22 02:52
PR 16140 merged christian.heimes, 2019-09-14 08:38
PR 16199 merged miss-islington, 2019-09-16 19:10
PR 16200 merged miss-islington, 2019-09-16 19:10
PR 16201 merged miss-islington, 2019-09-16 19:10
Messages (5)
msg320207 - (view) Author: Quentin Minster (laomaiweng) * Date: 2018-06-22 02:50
I'm getting a compile error in Modules/_hashopenssl.c because the file uses some pre-1.1.0 APIs even though I'm running OpenSSL 1.1.0.

This is because this file doesn't define the OPENSSL_VERSION_1_1 macro, like Modules/_ssl.c does.
msg352572 - (view) Author: miss-islington (miss-islington) Date: 2019-09-16 19:10
New changeset 724f1a57231f9287c37255adf0e4364d12cf693d by Miss Islington (bot) (Christian Heimes) in branch 'master':
bpo-33936: Don't call obsolete init methods with OpenSSL 1.1.0+ (GH-16140)
https://github.com/python/cpython/commit/724f1a57231f9287c37255adf0e4364d12cf693d
msg352576 - (view) Author: miss-islington (miss-islington) Date: 2019-09-16 19:48
New changeset 1ecc75ad1cdf458c2aa7192844e83c4665a5f9b5 by Miss Islington (bot) in branch '3.8':
bpo-33936: Don't call obsolete init methods with OpenSSL 1.1.0+ (GH-16140)
https://github.com/python/cpython/commit/1ecc75ad1cdf458c2aa7192844e83c4665a5f9b5
msg352577 - (view) Author: miss-islington (miss-islington) Date: 2019-09-16 19:48
New changeset 5d55d52b61f56522e616ac1423437d4e3f641ce6 by Miss Islington (bot) in branch '2.7':
bpo-33936: Don't call obsolete init methods with OpenSSL 1.1.0+ (GH-16140)
https://github.com/python/cpython/commit/5d55d52b61f56522e616ac1423437d4e3f641ce6
msg352578 - (view) Author: miss-islington (miss-islington) Date: 2019-09-16 19:49
New changeset c55f69552cdab26362c1ff4416fe1c3e9b27ccbe by Miss Islington (bot) in branch '3.7':
[3.7] bpo-33936: Don't call obsolete init methods with OpenSSL 1.1.0+ (GH-16140) (GH-16200)
https://github.com/python/cpython/commit/c55f69552cdab26362c1ff4416fe1c3e9b27ccbe
History
Date User Action Args
2019-09-16 19:49:10miss-islingtonsetmessages: + msg352578
2019-09-16 19:48:24miss-islingtonsetmessages: + msg352577
2019-09-16 19:48:06miss-islingtonsetmessages: + msg352576
2019-09-16 19:10:40miss-islingtonsetpull_requests: + pull_request15805
2019-09-16 19:10:29miss-islingtonsetpull_requests: + pull_request15804
2019-09-16 19:10:18miss-islingtonsetpull_requests: + pull_request15803
2019-09-16 19:10:10miss-islingtonsetnosy: + miss-islington
messages: + msg352572
2019-09-14 08:40:46christian.heimessetnosy: + gregory.p.smith

versions: + Python 2.7, Python 3.7, Python 3.8, Python 3.9
2019-09-14 08:38:00christian.heimessetpull_requests: + pull_request15750
2018-06-22 08:51:59xiang.zhangsetnosy: + christian.heimes
2018-06-22 02:52:54python-devsetkeywords: + patch
stage: patch review
pull_requests: + pull_request7466
2018-06-22 02:50:21laomaiwengcreate